<?xml version="1.0" encoding="UTF-8"?>

<!--
  Copyright (c) 2015, 2019, Gluon and/or its affiliates.
  All rights reserved. Use is subject to license terms.

  This file is available and licensed under the following license:

  Redistribution and use in source and binary forms, with or without
  modification, are permitted provided that the following conditions
  are met:

  - Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
  - Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in
    the documentation and/or other materials provided with the distribution.
  - Neither the name of Oracle Corporation nor the names of its
    contributors may be used to endorse or promote products derived
    from this software without specific prior written permission.

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-->

<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.Menu?>
<?import javafx.scene.control.MenuBar?>
<?import javafx.scene.control.MenuItem?>
<?import javafx.scene.control.TextArea?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.text.Font?>

<AnchorPane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="640.0" prefWidth="840.0" xmlns="http://javafx.com/javafx/15" xmlns:fx="http://javafx.com/fxml/1" fx:controller="lab1.lab1martyn.FileController">
   <children>
      <MenuBar layoutY="1.0" prefHeight="25.0" prefWidth="840.0">
        <menus>
          <Menu mnemonicParsing="false" text="Файл">
            <items>
                  <MenuItem mnemonicParsing="false" onAction="#onActionMain" text="На главную" />
              <MenuItem mnemonicParsing="false" onAction="#onActionExit" text="Выход" />
            </items>
          </Menu>
          <Menu mnemonicParsing="false" onAction="#onActionKeys" text="Управление ключами">
            <items>
              <MenuItem mnemonicParsing="false" onAction="#onActionKeys" text="Управление ключами" />
            </items>
          </Menu>
          <Menu mnemonicParsing="false" text="Помощь">
            <items>
                <MenuItem mnemonicParsing="false" onAction="#onActionAbout" text="О программе" />
            </items>
          </Menu>
        </menus>
      </MenuBar>
      <TextField fx:id="textFieldUser" layoutX="32.0" layoutY="102.0" prefHeight="25.0" prefWidth="210.0">
         <font>
            <Font size="14.0" />
         </font></TextField>
      <TextArea fx:id="textArea" disable="true" layoutX="32.0" layoutY="187.0" prefHeight="245.0" prefWidth="767.0">
         <font>
            <Font size="14.0" />
         </font></TextArea>
      <TextField fx:id="textFieldPath" disable="true" layoutX="32.0" layoutY="492.0" prefHeight="30.0" prefWidth="264.0">
         <font>
            <Font size="14.0" />
         </font></TextField>
      <Button fx:id="buttonLogin" layoutX="32.0" layoutY="136.0" mnemonicParsing="false" onAction="#onActionLogin" prefHeight="35.0" prefWidth="210.0" text="Выбрать пользователя">
         <font>
            <Font size="14.0" />
         </font></Button>
      <Button fx:id="buttonPath" disable="true" layoutX="296.0" layoutY="492.0" mnemonicParsing="false" onAction="#onActionPath" text="Обзор">
         <font>
            <Font size="14.0" />
         </font></Button>
      <Button fx:id="buttonSave" disable="true" layoutX="554.0" layoutY="559.0" mnemonicParsing="false" onAction="#onActionSave" prefHeight="49.0" prefWidth="111.0" text="Сохранить">
         <font>
            <Font size="18.0" />
         </font></Button>
      <Button fx:id="buttonLoad" disable="true" layoutX="687.0" layoutY="558.0" mnemonicParsing="false" onAction="#onActionLoad" prefHeight="51.0" prefWidth="111.0" text="Загрузить">
         <font>
            <Font size="18.0" />
         </font></Button>
      <TextField fx:id="textFieldAuthor" disable="true" layoutX="588.0" layoutY="101.0" prefHeight="30.0" prefWidth="210.0">
         <font>
            <Font size="14.0" />
         </font>
      </TextField>
      <TextField fx:id="textFieldFileName" disable="true" layoutX="32.0" layoutY="575.0" prefHeight="31.0" prefWidth="326.0">
         <font>
            <Font size="14.0" />
         </font>
      </TextField>
      <Label alignment="TOP_CENTER" contentDisplay="CENTER" layoutX="32.0" layoutY="67.0" prefHeight="27.0" prefWidth="210.0" text="Имя пользователя" textAlignment="CENTER">
         <font>
            <Font size="24.0" />
         </font>
      </Label>
      <Label alignment="TOP_CENTER" layoutX="588.0" layoutY="67.0" prefHeight="27.0" prefWidth="210.0" text="Автор документа" textAlignment="CENTER">
         <font>
            <Font size="24.0" />
         </font>
      </Label>
      <Label layoutX="32.0" layoutY="458.0" prefHeight="35.0" prefWidth="272.0" text="Путь к папке документа">
         <font>
            <Font size="24.0" />
         </font>
      </Label>
      <Label layoutX="32.0" layoutY="540.0" prefHeight="35.0" prefWidth="302.0" text="Наименование документа">
         <font>
            <Font size="24.0" />
         </font>
      </Label>
      <Label layoutX="32.0" layoutY="440.0" text="*Для загрузки подписанного документа нажмите кнопку &quot;Загрузить&quot;" />
      <Label fx:id="labelErrorUser" layoutX="249.0" layoutY="107.0" prefHeight="18.0" prefWidth="333.0" />
      <Label fx:id="labelErrorSave" layoutX="365.0" layoutY="467.0" prefHeight="18.0" prefWidth="433.0" />
      <Label fx:id="labelErrorLoad" layoutX="365.0" layoutY="500.0" prefHeight="18.0" prefWidth="433.0" />
   </children>
</AnchorPane>
